Gets specific Product Attribute by unique id
Gets specific Product Attribute by unique id
Path Parameters
Product Attribute id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Attribute
Attribute
Attribute Id
Attribute Name
Attribute Type
Show Child Parameters
Path Parameters
Headers
productbarcodes
Searches Barcodes by parameters
Searches Barcodes by parameters
Query Parameters
Product Id
Product status. Accepted values: “enabled”, “disabled”, not specified.
Product barcode name
Product barcode enabled
Created since
Modified since
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Barcodes data
ProductBarcode.PagingResponse
Product Barcode model
Show Child Parameters
Query Parameters
Headers
productdetailslog
Searches Product Details Logs
Searches Product Details Logs
Query Parameters
Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_created_on filters are ignored.
Movement Type or Collection of Movement Types (comma separated).
Example: Product Initialisation,Product Details Edited
Filter by.
Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
Order by.
Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, movement_type, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.
Available direction values: asc, desc.
Example: id asc, created_on desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Details Logs data
ProductDetailLog.PagingResponse
Product Detail Log model